# Class TCEFBitmapBitBuffer

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBitmapBitBuffer

## Declaration

`type TCEFBitmapBitBuffer = class(TObject)`

## Description

Class that stores a copy of the raw bitmap buffer sent by CEF in the TChromiumCore.OnPaint event.

## Hierarchy

- TObject
- TCEFBitmapBitBuffer

## Overview

### Fields

| `FBuffer: pointer;`
| `FImageWidth: integer;`
| `FImageHeight: integer;`
| `FBufferWidth: integer;`
| `FBufferHeight: integer;`

### Methods

| `function GetBufferScanlineSize: integer;`
| `function GetScanlineSize: integer;`
| `function GetBufferLength: integer;`
| `function GetEmpty: boolean;`
| `function GetScanline(y : integer) : PByte;`
| `procedure CreateBuffer;`
| `procedure DestroyBuffer;`
| `constructor Create(aWidth, aHeight : integer);`
| `destructor Destroy; override;`
| `procedure UpdateSize(aWidth, aHeight : integer);`

### Properties

| `property Width : integer read FImageWidth;`
| `property Height : integer read FImageHeight;`
| `property BufferLength : integer read GetBufferLength;`
| `property Empty : boolean read GetEmpty;`
| `property Scanline[y: integer]: PByte read GetScanline;`
| `property ScanlineSize : integer read GetScanlineSize;`
| `property BufferScanlineSize : integer read GetBufferScanlineSize;`
| `property BufferBits : pointer read FBuffer;`

## Description

### Fields

| `FBuffer: pointer;`
This item has no description.

| `FImageWidth: integer;`
This item has no description.

| `FImageHeight: integer;`
This item has no description.

| `FBufferWidth: integer;`
This item has no description.

| `FBufferHeight: integer;`
This item has no description.

### Methods

| `function GetBufferScanlineSize: integer;`
This item has no description.

| `function GetScanlineSize: integer;`
This item has no description.

| `function GetBufferLength: integer;`
This item has no description.

| `function GetEmpty: boolean;`
This item has no description.

| `function GetScanline(y : integer) : PByte;`
This item has no description.

| `procedure CreateBuffer;`
This item has no description.

| `procedure DestroyBuffer;`
This item has no description.

| `constructor Create(aWidth, aHeight : integer);`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure UpdateSize(aWidth, aHeight : integer);`
Updates the image size.

### Properties

| `property Width : integer read FImageWidth;`
Image width.

| `property Height : integer read FImageHeight;`
Image height.

| `property BufferLength : integer read GetBufferLength;`
Buffer length.

| `property Empty : boolean read GetEmpty;`
Returns true if the buffer is empty.

| `property Scanline[y: integer]: PByte read GetScanline;`
Returns a pointer to the first byte in of the Y scnaline.

| `property ScanlineSize : integer read GetScanlineSize;`
Returns the scanline size.

| `property BufferScanlineSize : integer read GetBufferScanlineSize;`
Returns the real buffer scanline size.

| `property BufferBits : pointer read FBuffer;`
Returns a pointer to the buffer that stores the image.

Generated by PasDoc 0.16.0-snapshot.